# Class MetalBorders.InternalFrameBorder

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.plaf.metal.MetalBorders.InternalFrameBorder

All Implemented Interfaces:
  `Serializable, Border, UIResource`

Enclosing class:
  `MetalBorders`

public static class MetalBorders.InternalFrameBorder extends AbstractBorder implements UIResource
The class represents the border of a `JInternalFrame`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalFrameBorder()`
  Constructs a `InternalFrameBorder`.

- ## Method Summary

  ### Methods declared in class AbstractBorder

  `getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InternalFrameBorder

    public InternalFrameBorder()
    Constructs a `InternalFrameBorder`.